entity MultiplexeurHuitEntrees is
   port (S0, S1, S2, D0, D1, D2, D3, D4, D5, D6, D7,
   VAL: in bit; Y: inout bit; YI: out bit);
end entity MultiplexeurHuitEntrees;

architecture FonctionLogique of MultiplexeurHuitEntrees is
signal ET0, ET1, ET2, ET3, ET4, ET5, ET6, ET7: bit;
begin
   ET0 <= not S0 and not S1 and not S2 and D0 and not VAL;
   ET1 <= S0 and not S1 and not S2 and D1 and not VAL;
   ET2 <= not S0 and S1 and not S2 and D2 and not VAL;
   ET3 <= S0 and S1 and not S2 and D3 and not VAL;
   ET4 <= not S0 and not S1 and S2 and D4 and not VAL;
   ET5 <= S0 and not S1 and S2 and D5 and not VAL;
   ET6 <= not S0 and S1 and S2 and D6 and not VAL;
   ET7 <= S0 and S1 and S2 and D7 and not VAL;
   Y <= ET0 or ET1 or ET2 or ET3 or ET4 or ET5 or ET6 or ET7;
   YI <= not Y;
end architecture FonctionLogique;