library ieee;
use ieee.std_logic_1164.all;

entity DiviseFreq is
   port (HorlEn: in std_logic; 
      HorlSor: buffer std_logic);
end entity DiviseFreq;

architecture ComportementDiviseFreq of DiviseFreq is
begin
   DiviseFreq: process(HorlEn)
   variable Cnt: integer := 0;
   variable InitCompt: integer;

begin
   InitCompt := 12000000;                   --La moiti du rapport cyclique
   if (HorlEn'EVENT and HorlEn = '1') then
      if (Cnt = InitCompt) then
         if HorlSor = '0' then
            HorlSor <= '1'; 		        --Niveau HAUT de sortie  50 %
         else
            HorlSor <= '0'; 		        -- Niveau BAS de sortie  50 %
         end if;
         Cnt := 0;
      else
         Cnt := Cnt + 1;
      end if;
   end if;
end process;
end architecture ComportementDiviseFreq;