library ieee;
use ieee.std_logic_1164.all;

entity LogiqueSequentielle is
   port(VT, TL, TC, Horl: in std_logic; G0, G1: inout std_logic);
end entity LogiqueSequentielle;

architecture ComportementSequence of LogiqueSequentielle is
component BascD is
   port (D, Horl: in std_logic; Q: out std_logic);
end component BascD;

signal D0, D1: std_logic;
begin
   D1 <= (G0 and not TC) or (G1 and TC);
   D0 <= (not G1 and not TL and VT) or (not G1 and G0)
   or (G0 and TL and VT);
   BASCD0: BascD port map(D => D0, Horl => Horl, Q => G0);
   BASCD1: BascD port map(D => D1, Horl => Horl, Q => G1);
end architecture ComportementSequence;