library ieee;
use ieee.std_logic_1164.all;

entity ComptAnneau is
   port (I, Clr, Horloge: in std_logic;
      Q0, Q1, Q2, Q3: inout std_logic);
end entity ComptAnneau;

architecture FonctionLogique of ComptAnneau is
component BascD is
   port (D, Horloge, Pre, Clr: in std_logic;
      Q: inout std_logic);
end component BascD;

begin
   BASC0: BascD port map (D => Q3, Horloge => Horloge, Q => Q0, Pre => not I, Clr => '1');
   BASC1: BascD port map (D => Q0, Horloge => Horloge, Q => Q1, Pre => '1', Clr => not Clr);
   BASC2: BascD port map (D => Q1, Horloge => Horloge, Q => Q2, Pre => '1', Clr => not Clr);
   BASC3: BascD port map (D => Q2, Horloge => Horloge, Q => Q3, Pre => '1', Clr => not Clr);
end architecture FonctionLogique;