library ieee;
use ieee.std_logic_1164.all;
entity CompteurAsyncQuatreBits is
port (Horloge, Clr: in std_logic; Q0, Q1, Q2, Q3: inout std_logic);
end entity CompteurAsyncQuatreBits;
architecture FonctionLogique of CompteurAsyncQuatreBits is
component BascJK is
port (J, K, Horloge, PRESET, CLEAR: in std_logic; Q: out std_logic);
end component BascJK;
begin
BASC0: BascJK port map(J => '1', K => '1', Horloge => Horloge, CLEAR => Clr, PRESET => '1', Q => Q0);
BASC1: BascJK port map(J => '1', K => '1', Horloge => not Q0, CLEAR => Clr, PRESET => '1', Q => Q1);
BASC2: BascJK port map(J => '1', K => '1', Horloge => not Q1, CLEAR => Clr, PRESET => '1', Q => Q2);
BASC3: BascJK port map(J => '1', K => '1', Horloge => not Q2, CLEAR => Clr, PRESET => '1', Q => Q3);
end architecture FonctionLogique;