library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

entity COMPTEURETAGE is
   port (MONTE, DESCEND, Capteur: in std_logic;
      CODEETAGE: out std_logic_vector (2 downto 0));
end entity COMPTEURETAGE;

architecture FonctionLogique of COMPTEURETAGE is
signal CompteEtage: unsigned (2 downto 0) := "000";
begin
   process(MONTE, DESCEND, Capteur, CompteEtage)
   begin
      CODEETAGE <= std_logic_vector (CompteEtage);
      if (Capteur'EVENT and Capteur = '1') then
         if MONTE = '1' and DESCEND = '0' then
            CompteEtage <= CompteEtage + 1;
         elsif MONTE = '0' and DESCEND = '1' then
            CompteEtage <= CompteEtage - 1;
         end if;
      end if;
   end process;
end architecture FonctionLogique;