entity Logique_ET_OU is
   port (ENT1, ENT2, ENT3, ENT4: in bit; SOR3: out bit);
end entity Logique_ET_OU;

architecture FonctionsLogiques of Logique_ET_OU is
   component porte_ET is 
      port (A, B: in bit; X: out bit);
   end component porte_ET;
   component porte_OU is 
      port (A, B: in bit; X: out bit);
   end component porte_OU;
   signal SOR1, SOR2: bit;
begin 
   G1: porte_ET port map (A => ENT1, B => ENT2, X => SOR1);
   G2: porte_ET port map (A => ENT3, B => ENT4, X => SOR2); 
   G3: porte_OU port map (A => SOR1, B => SOR2, X => SOR3);
end architecture FonctionsLogiques;