entity Logique_SDP is 
   port (ENT1, ENT2, ENT3, ENT4, ENT5, ENT6, ENT7, ENT8: in bit; SOR4: out bit);
end entity Logique_SDP;

architecture FonctionsLogiques of Logique_SDP is
-- Dclaration de composant pour porte NON-ET de trois entres 
   component NONET_Porte3 is 
      port (A, B, C: in bit; X: out bit);
   end component NONET_Porte3;
-- Dclaration de composant pour porte NON-ET de deux entres 
   component NONET_Porte2 is 
      port (A, B: in bit; X: out bit);
   end component NONET_Porte2; 
   signal SOR1, SOR2, SOR3: bit;
begin
   G1: NONET_Porte3 port map (A => ENT1, B => ENT2, C => ENT3, X => SOR1);
   G2: NONET_Porte3 port map (A => ENT4, B => ENT5, C => ENT6, X => SOR2);
   G3: NONET_Porte2 port map (A => ENT7, B => ENT8, X => SOR3);
   G4: NONET_Porte3 port map (A => SOR1, B => SOR2, C => SOR3, X => SOR4);
end architecture FonctionsLogiques;