library ieee;
use ieee.std_logic_1164.all;

entity SeptSegments is
   port (a, b, c, d, e, f, g: out std_logic; H0, H1, H2: inout std_logic);
end entity SeptSegments;

architecture ComportementSeptSegments of SeptSegments is
begin
   a <= H1 or (H2 and H0) or (not H2 and not H0);
   b <= not H2 or (not H0 and not H1) or (H0 and H1);
   c <= H0 or not H1 or H2;
   d <= (not H0 and not H2) or (not H2 and H1) or
      (H1 and not H0) or (H2 and not H1 and H0);
   e <= (not H0 and not H2) or (H1 and not H0);
   f <= (not H1 and H2) or (not H1 and not H0) or (H2 and not H0);
   g <= (not H2 and H1) or (H1 and not H0) or (H2 and not H1);
end architecture ComportementSeptSegments;